# $Revision: 1.1 $, $Date: 2006/04/19 21:08:22 $
%define	mod_name	authnz_external
%define apxs		/usr/sbin/apxs
Summary:	Basic authentication for the Apache Web server using arbitrary shell commands
Summary(cs):	Zkladn autentizace pro WWW server Apache pomoc shellovch pkaz
Summary(da):	En autenticeringsmodul for webtjeneren Apache hvor man kan bruge vilkrlige skal-kommandoer
Summary(de):	Authentifizierung fr den Apache Web-Server, der arbitrre Shell-Befehle verwendet
Summary(fr):	Authentification de base pour le serveur Web Apache utilisant des commandes shell arbitraires
Summary(it):	Autenticazione di base per il server Web Apache mediante comandi arbitrari della shell
Summary(nb):	En autentiseringsmodul for webtjeneren Apache der en kan bruke skall-kommandoer
Summary(pl):	Podstawowy modu uwierzytelnienia dla Apache, uywajcy polece powoki
Summary(pt):	Um mdulo de autenticao de LDAP para o servidor Web Apache
Summary(sl):	Osnovna avtentikacija za spletni strenik Apache, z uporabo poljubnih lupinskih ukazov
Summary(sv):	Grundlggande autentisering fr webbservern Apache med valfria skalkommandon
Name:		apache-mod_%{mod_name}
Version:	3.1.0
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://unixpapa.com/software/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	5051bffe6a3992336f4a9f84430a58d2
URL:		http://unixpapa.com/mod_auth_external.html
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This module allows you to use any command line program to authenticate a user.

%description -l cs
Balek mod_auth_external slou pro omezen pstupu k dokumentm, kter
poskytuje WWW server Apache. Jmna a hesla jsou kontrolovna pomoc
jakhokoliv pkazu (jeho nvratovm kdem).

%description -l de
Mod_auth_external kann verwendet werden, um den Zugriff auf von einem Web-
Server bediente Dokumente zu beschrnken, indem es den Rckcode eines
gegebenen arbitrren Befehls prft.

%description -l es
Mod_auth_external puede usarse para limitar el acceso a documentos servidos
desde un servidor web verificando el cdigo de retorno de un comando
arbitrario especificado.

%description -l fr
Mod_auth_external peut tre utilis pour limiter l'accs  des documents
servis par un serveur Web en vrifiant le code de retour d'une
commande spcifie arbitraire.

%description -l it
Mod_auth_external pu essere utilizzato per limitare l'accesso ai documenti
serviti da un server Web controllando il codice di ritorno di un dato
comando arbitrario.

%description -l ja
Mod_auth_external Ǥդ˻ꤵ줿ޥɤꥳɤå뤳
ˤäơWeb С󶡤ɥȤؤΥ¤뤳
Ǥޤ

%description -l pl
Ten modu pozwala na uycie dowolnego programu dziaajcego z linii
polece do uwierzytelniania uytkownika.

%description -l sv
Mod_auth_external kan anvndas fr att begrnsa tkomsten till dokument
servade av en webbserver genom att kontrollera returkoden frn ett
godtyckligt angivet kommando.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.la

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf/}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc TODO AUTHENTICATORS CHANGES README INSTALL test mysql
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_authnz_external.spec,v $
Revision 1.1  2006/04/19 21:08:22  baggins
- initial revison by zagrodzki

